=== debian/changelog ===
trisquel-usplash-theme-sugar (2.2) dwyn; urgency=low

  * Initial release for Sugar

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Thu, 10 Sep 2009 02:25:53 +0200
