=== debian/control ===
Source: trisquel-usplash-theme-sugar
Section: misc
Priority: optional
Maintainer: Rubén Rodríguez <ruben@trisquel.uvigo.es>
Build-Depends: debhelper (>= 5.0.0), libusplash-dev, imagemagick, librsvg2-bin
Standards-Version: 3.7.2.2

Package: trisquel-usplash-theme-sugar
Section: misc
Architecture: amd64 i386
Depends: ${shlibs:Depends}
Provides: usplash-theme, trisquel-usplash-theme
Replaces: trisquel-usplash-theme
Description: Sugar usplash theme for Trisquel
 This package contains a sweet usplash theme for Trisquel
 .
